
//-------------------------------------------------------------------------
//-------------------------------------------------------------------------

// 2  outer corner
// 4
// 6
// 8  TX out
// 10 RX in

// The raspberry pi firmware at the time this was written defaults
// loading at address 0x8000.  Although this bootloader could easily
// load at 0x0000, it loads at 0x8000 so that the same binaries built
// for the SD card work with this bootloader.  Change the ARMBASE
// below to use a different location.
#include "screen.h"

extern void PUT32 ( unsigned int, unsigned int );
//------------------------------------------------------------------------

void writeChar(unsigned int pos, char ch){
	int i,j;
	unsigned int rb=pos; 
	switch(ch){
	case '0':
		for(i=0;i<5;i++){
            PUT32(rb,0);
            PUT32(rb+(SCREEN_WIDTH*9*4),0);
            rb+=4;
        }
		rb=pos;
		for(j=0;j<10;j++){
            PUT32(rb,0);
            PUT32(rb+(4*4),0);
            rb+=(SCREEN_WIDTH*4);
        }
		break;
		case '1':
		for(j=0;j<10;j++){
            PUT32(rb,0);
            rb+=(SCREEN_WIDTH*4);
        }
		break;
		case '2':
		for(i=0;i<5;i++){
            PUT32(rb,0);
            PUT32(rb+(SCREEN_WIDTH*5*4),0);
            PUT32(rb+(SCREEN_WIDTH*9*4),0);
            rb+=4;
        }
		rb=pos;
		for(j=0;j<5;j++){
             PUT32(rb+(4*4),0);
            rb+=(SCREEN_WIDTH*4);
        }
		for(;j<10;j++){
            PUT32(rb,0);
             rb+=(SCREEN_WIDTH*4);
        }
		break;
	  case '3':
		for(i=0;i<5;i++){
            PUT32(rb,0);
            PUT32(rb+(SCREEN_WIDTH*5*4),0);
            PUT32(rb+(SCREEN_WIDTH*9*4),0);
            rb+=4;
        }
		rb=pos;
		for(j=0;j<10;j++){
            PUT32(rb+(4*4),0);
            rb+=(SCREEN_WIDTH*4);
        }
		break;
	
	}
}
void cleanPos(unsigned int  pos){
	int i,j;
	unsigned int rb; 
	for(j=0;j<10;j++){
		rb=pos + (j*SCREEN_WIDTH*4);
	for( i=0;i<8;i++)
		{
			 PUT32(rb,0xFFFFFFFF);
			 rb+=4;
		}	
	}
}
void write0123(unsigned int  pos){
	while(1){
    writeChar(pos,'0');
	cleanPos(pos);
   writeChar(pos,'1');
	cleanPos(pos);
   writeChar(pos,'2');
	cleanPos(pos);
   writeChar(pos,'3');
	cleanPos(pos);
	}
}
//-------------------------------------------------------------------------
//-------------------------------------------------------------------------




//-------------------------------------------------------------------------
//
// Copyright (c) 2012 David Welch dwelch@dwelch.com
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//-------------------------------------------------------------------------

